@import url('https://fonts.googleapis.com/css2?family=Lato:wght@300;400;700;900&family=Poppins:wght@300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Acme&display=swap');
@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');

*,
*::after,
*::before {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
}

body {
    font-family: 'Lato', sans-serif;
    font-family: 'Poppins', sans-serif;
}

/* ############## utility classes #############  */
.container {
    max-width: 1200px;
    width: 90%;
    margin: auto;
}


.btn-grad {
    background-image: linear-gradient(to right, #16222A 0%, #3A6073 51%, #16222A 100%)
}

.btn-grad {
    margin: 10px;
    padding: 1rem 2rem;
    text-align: center;
    text-transform: uppercase;
    transition: 0.5s;
    background-size: 200% auto;
    color: white;
    box-shadow: 0 0 20px #eee;
    border-radius: 10px;
    display: block;
    font-weight: 600;
    cursor: pointer;
}

.btn-grad:hover {
    background-position: right center;
    color: #fff;
    text-decoration: none;
}



/* ############## navbar styling #############  */
#navbar {
    height: 5.5rem;
    opacity: .9;
    position: fixed;
    width: 100%;
    z-index: 999;
    background-color: black;
    box-shadow: 5px 5px 10px 5px #aaa;
}

.navbar-container input[type="checkbox"],
.hamburger-lines {
    display: none;
}

.navbar-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: .6rem;
}

.logo {
    order: 1;
}

.menu-items {
    order: 2;
    display: flex;
    justify-content: space-between;
}

.menu-items li {
    list-style: none;
    margin: 0 1rem;
    font-size: 1.9rem;
    font-weight: 500;
}

.menu-items a {
    text-decoration: none;
    color: rgba(255, 255, 255, 0.864);
}

.logo {
    font-size: 2.8rem;
    font-weight: 600;
    color: rgba(255, 255, 255, 0.864);
}

.menu-items a:hover {
    color: rgb(105, 199, 236);
}

.showcase-btn {
    padding: 1rem 2.5rem;
    font-size: 2rem;
}

/* ########### showcase styling #############  */
#showcase {
    background: url(../images/background\ pic.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 65vh;

}

.showcase-container {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;


}


.showcase-container .main-head {
    font-family: 'Acme', sans-serif;
    text-align: center;
    font-size: 5rem;
    text-transform: uppercase;
    border: 4px solid black;
    margin-bottom: 2rem;
    margin-top: 5rem;
    animation: main-head 1s forwards ease-in-out;

}

@keyframes main-head {
    from {
        transform: translateX(-500%);
    }

    to {
        transform: translateX(0%);
    }
}

.showcase-container .techno-head {
    font-family: 'Acme', sans-serif;
    font-size: 2.5rem;
    animation: techno-head-date 1s forwards ease-in-out;
}

.dated {
    font-family: 'Acme', sans-serif;
    font-size: 2.2rem;
    text-align: right;
    margin-top: .7rem;
    margin-bottom: 2rem;
    animation: techno-head-date 1s forwards ease-in-out;
}

@keyframes techno-head-date {
    from {
        transform: translateX(500%);
    }

    to {
        transform: translateX(0%);
    }
}

.showcase-btn a {
    text-decoration: none;
    color: white;
}

.showcase-container .showcase-btn {
    list-style-type: none;
    /* background-color: black; */
    color: white;


    animation: showcase-button .8s forwards ease-in-out;
}

@keyframes showcase-button {
    from {
        transform: translateY(-500%);
    }

    to {
        transform: translateY(0%);
    }
}


/* ########## event styling #########  */
#event {
    padding: 5rem 0;
    background-color: #ddd;
}


.event-container h2 {
    color: #555;
    font-size: 1.8rem;
}

.event-container p {
    font-size: 1.6rem;
    color: #555;
}

.event-container .main-event-heading {
    font-size: 3rem;
    color: black;
    font-weight: 600;
}

/* ########## topic styling ###########  */
#topics {
    padding: 5rem 0;
    background-color: #eee;
}

.topic-heading {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: #555;
    margin-bottom: 2rem;
}

.topic-container {
    display: flex;
    flex-wrap: wrap;
}

.topic {
    display: flex;
    flex: 1 1 37rem;
    margin: 0 5rem;
    margin-bottom: 5rem;
    box-shadow: 5px 5px 20px 0px rgba(26, 22, 22, 0.301);
}

.topic-description {
    flex: 1 1 40rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #fff;
    text-align: center;
    padding: 10px;
}

.topic-description h2 {
    margin: 0 2rem;
    font-size: 1.6rem;
    color: #444;
}

.topic-description p {
    margin: 0 2rem;
    font-size: 1.4rem;
}

.topic-description button {
    margin: 0 1.9rem;
    margin-top: 1rem;
}

.topic-img-container {
    flex: 1 1 40rem;
    height: 100%;
}

.topic-img-container img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;

}




/* ########## gallery-section ############  */

#gallery {
    padding: 5rem 0;
}

.gallery-heading {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: #555;
}

.gallery-container {
    display: flex;
    flex-wrap: wrap;
    /* flex: 1 1 30rem; */
    justify-content: space-around;
    align-content: space-between;

}

.gallery-pic {
    position: relative;
    margin: 0 2rem;
    margin-top: 4rem;

}

.gallery-pic-container {
    width: 30rem;
    height: 40rem;
}

.gallery-pic-container img {
    width: 100%;
    height: 100%;
}

.gallery-description {
    position: absolute;
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    opacity: 0;
    transition: all .5s ease-in-out;

}

.gallery-description button {
    font-size: 1.6rem;
}

/* Winners Section  */
#winners {
    padding: 5rem 0;
}

.winner-heading {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: #555;
    margin-bottom: 2rem;
}

.winners-container {
    display: flex;
    justify-content: space-between;
    width: 80vw;
}

.winner {
    display: flex;
    flex-direction: column;
}

.winner-image img {
    width: 23vmax;
}

.winner-description {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1rem 0;
    font-size: 18px;
}

.best-performer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.rank {
    font-weight: 500;
    border-bottom: 2px solid black;
}

/* new about section  */
#members {
    padding: 5rem 0;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#eventCoordinator {
    padding: 5rem 0;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.members-heading {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: #555;
}

.members-container {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    padding: 50px;
    text-align: center;
    display: flex;
    justify-content: space-around;
    width: 80vw;
    height: 55rem;

}

.emembers-container {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    padding: 50px;
    text-align: center;
    display: flex;
    justify-content: space-around;
    width: 80vw;
    height: 55rem;

}

.member-container {
    height: 250px;
    width: 250px;
    overflow: hidden;
    margin: 0 auto;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
    background-image: linear-gradient(109.6deg, rgba(216, 23, 100, 1) 27.3%, rgba(63, 48, 48, 1) 100.2%);

}

.emember-container {
    height: 250px;
    width: 250px;
    overflow: hidden;
    margin: 0 auto;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
    background-image: radial-gradient(circle farthest-corner at 10% 20%, rgba(14, 174, 87, 1) 0%, rgba(12, 116, 117, 1) 90%);

}

/* .member-container {
    height: 180px;
    width: 180px;
    overflow: hidden;
    margin: 0 auto;
    border-radius: 50%;
    transition: all 0.3s ease-in-out;
    box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
    background-image: linear-gradient(109.6deg, rgba(216, 23, 100, 1) 27.3%, rgba(63, 48, 48, 1) 100.2%);
    margin: 2rem 0;

} */
.member-container:hover {
    height: 470px;
    width: 350px;
    border-radius: 5px;
    box-shadow: 0px 1px 35px 0px rgba(0, 0, 0, 0.3);
}

.emember-container:hover {
    height: 470px;
    width: 350px;
    border-radius: 5px;
    box-shadow: 0px 1px 35px 0px rgba(0, 0, 0, 0.3);
}

.member-container:hover {
    height: 470px;
    width: 350px;
    border-radius: 5px;
    box-shadow: 0px 1px 35px 0px rgba(0, 0, 0, 0.3);
    padding-top: 4rem;
}

.emember-container:hover {
    height: 470px;
    width: 350px;
    border-radius: 5px;
    box-shadow: 0px 1px 35px 0px rgba(0, 0, 0, 0.3);
    padding-top: 4rem;
}

.member-container .wrapper {
    transition: all .3s ease-in;
}

.emember-container .wrapper {
    transition: all .3s ease-in;
}

.member-container:hover .wrapper {
    margin-top: 8rem;
}

.emember-container:hover .wrapper {
    margin-top: 8rem;
}

.member-container .wrapper img {
    position: relative;
    z-index: 20;
    border-radius: 50%;
    display: block;
    height: 200px;
    width: 200px;
    border: 5px solid #fff;
    object-fit: cover;
    margin: 20px auto;
    transition: all 0.3s ease;

}

.emember-container .wrapper img {
    position: relative;
    z-index: 20;
    border-radius: 50%;
    display: block;
    height: 200px;
    width: 200px;
    border: 5px solid #fff;
    object-fit: cover;
    margin: 20px auto;
    transition: all 0.3s ease;

}

.member-container:hover .wrapper img.active {
    height: 470px;
    width: 350px;
    margin: 0px auto;
    border: none;
    border-radius: 5px;
}

.emember-container:hover .wrapper img.active {
    height: 470px;
    width: 350px;
    margin: 0px auto;
    border: none;
    border-radius: 5px;
}

.wrapper .title {
    color: #fff;
    font-size: 30px;
    font-weight: 500;
    padding: 10px;
    line-height: 25px;
}

.wrapper .place {
    color: #fff;
    font-size: 17px;
    line-height: 0px;
    margin: 10px 0;
}

.content {
    color: #fff;
    font-size: 17px;
    margin-top: 10px;
    padding: 1px 20px 10px 20px !important;
}

.content .buttons {
    display: flex;
}

.buttons .btn {
    height: 40px;
    width: 150px;
    margin: 0 5px;
}

.buttons .btn button {
    height: 100%;
    width: 100%;
    background: #fff;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: 17px;
    font-weight: 500;
    border-radius: 5px;
    transition: all 0.3s;
}

.btn button:hover {
    transform: scale(0.95);
}

.member-container .icons {
    position: relative;
    margin-top: -435px;
    margin-left: 10px;
    list-style: none;
}

.emember-container .icons {
    position: relative;
    margin-top: -435px;
    margin-left: 10px;
    list-style: none;
}

.member-container .icons.active {
    display: none;
}

.emember-container .icons.active {
    display: none;
}

.member-container .icons li {
    height: 40px;
    width: 40px;
    margin: 5px 0;
    opacity: 0;
    margin-left: -100px;
    transition: all 0.5s ease;
}

.emember-container .icons li {
    height: 40px;
    width: 40px;
    margin: 5px 0;
    opacity: 0;
    margin-left: -100px;
    transition: all 0.5s ease;
}

.member-container:hover .icons li {
    opacity: 1;
    margin-left: 7px;
}

.emember-container:hover .icons li {
    opacity: 1;
    margin-left: 7px;
}

.member-container:hover .icons li:nth-child(2) {
    transition-delay: 0.2s;
}

.emember-container:hover .icons li:nth-child(2) {
    transition-delay: 0.2s;
}

.member-container:hover .icons li:nth-child(3) {
    transition-delay: 0.4s;
}

.emember-container:hover .icons li:nth-child(3) {
    transition-delay: 0.4s;
}

.member-container .icons li a {
    color: #7b00e0;
    height: 100%;
    width: 100%;
    border-radius: 50%;
    background: #fff;
    display: block;
    line-height: 40px;
    transition: all 0.3s;
}

.emember-container .icons li a {
    color: #7b00e0;
    height: 100%;
    width: 100%;
    border-radius: 50%;
    background: #fff;
    display: block;
    line-height: 40px;
    transition: all 0.3s;
}

.member-container .icons li a:hover {
    transform: scale(0.9);
}

.emember-container .icons li a:hover {
    transform: scale(0.9);
}

/* Winners SEction ends  */
/* ############# about section styling ##########  */
#about {
    padding: 5rem 0;
}

.about-heading {
    text-align: center;
    font-size: 2.5rem;
    font-weight: 500;
    color: #555;
}

.about-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.about-person {
    margin: 0 4rem;
    margin-top: 3rem;
}

.about-img-container img {
    display: block;
    width: 23rem;
    height: 23rem;
    object-fit: cover;
    object-position: center;
    border-radius: 50%;
}

.about-description {
    margin-top: 1.5rem;
    text-align: center;
}

/* ########### contact us styling ############  */
#contact {
    padding: 5rem 0;
    background: #ccc;
}

.contact-container {
    display: flex;
    background: #fff;
    position: relative;
}

.onclickbutton {
    position: absolute;
    top: 0;
    left: 0;
    background-color: white;
    width: 100%;
    height: 100%;
    display: none;

}

.contact-img {
    flex: 1 1 50rem;
}

.contact-img {
    flex: 1 1 30rem;
}

.contact-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.contact-form {
    flex: 1 1 30rem;
    display: flex;
    flex-direction: column;
    padding: 1rem 1.5rem;
}

.contact-form h2 {
    font-size: 2.3rem;
    color: #555;
    font-weight: 500;
    padding-bottom: 2rem;
}

.contact-form input {
    border: none;
    border-bottom: 2px solid #666;
    font-size: 1.8rem;
    padding-top: 1.5rem;
}

.contact-form input:focus {
    outline: none;
}

.contact-form textarea {
    border: none;
    border-bottom: 2px solid #666;
    font-size: 1.8rem;
    padding-top: 1.5rem;
}

.contact-form textarea:focus {
    outline: none;
}

.contact-form button {
    margin-top: 1.5rem;
}


/* ########## trademark styling ############  */
#trademark {
    padding: 1.2rem 0;
    text-align: center;
    background-color: black;
    margin-bottom: -6rem;
}

.mark {
    font-size: 3rem;
    margin: 0 1rem;
    color: white;
}

.trade-description {
    font-size: 2.2rem;
    font-weight: 600;
    color: white;
    padding-top: .8rem;
}

.bottom-section {
    width: 100vw;
    background-color: black;
    color: white;
}

.symbols i {
    color: white;
    cursor: pointer;
    margin: 0 5px;
}

/* ######## media quaries #############  */

@media (max-width: 1070px) {
    .showcase-container .main-head {
        font-size: 3.5rem;
    }
}

@media (max-width:760px) {
    .contact-container {
        flex-direction: column;
    }
}

@media (max-width: 700px) {
    .menu-items li {
        list-style: none;
        margin: 0 .4rem;
        font-size: 1.6rem;
        font-weight: 500;
    }
}

@media (max-width: 633px) {
    .showcase-container .main-head {
        font-size: 2.5rem;
    }
}

@media (max-width: 615px) {
    #navbar {
        height: 6rem;
    }

    .navbar-container input[type="checkbox"],
    .navbar-container .hamburger-lines {
        display: block;
    }

    .navbar-container {
        display: block;
        position: relative;
    }

    .navbar-container input[type="checkbox"] {
        display: block;
        position: absolute;
        height: 32px;
        width: 40px;
        top: 15px;
        left: 11px;
        z-index: 40;
        opacity: 0;
    }

    .navbar-container .hamburger-lines {
        display: block;
        position: absolute;
        height: 32px;
        width: 40px;
        top: 15px;
        left: 11px;
        z-index: 15;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .hamburger-lines .line {
        display: block;
        height: 6px;
        width: 100%;
        background: rgba(255, 255, 255, 0.864);
        border-radius: 1.2rem;
        transition: all .3s ease-in-out;
    }

    .menu-items {
        position: absolute;
        flex-direction: column;
        justify-content: start;
        background-color: black;
        height: 100vh;
        width: 25rem;
        transform: translateX(-200%);
        padding: 0 4rem;
        padding-top: 4rem;

        transition: all .3s ease-in-out;
    }

    .navbar-container input[type="checkbox"]:checked~.menu-items {
        transform: translateX(-15%);
    }

    .menu-items li {
        margin-top: 3rem;
        font-size: 2rem;
    }

    .logo {
        position: absolute;
        top: 8px;
        right: 10px;
        z-index: 500;
    }

    .navbar-container .hamburger-lines .line1 {
        transform-origin: 0% 0%;
    }

    .navbar-container .hamburger-lines .line3 {
        transform-origin: 0% 100%;
    }

    .navbar-container input[type="checkbox"]:checked~.hamburger-lines .line1 {
        transform: rotate(45deg);
    }

    .navbar-container input[type="checkbox"]:checked~.hamburger-lines .line2 {
        opacity: 0;
    }

    .navbar-container input[type="checkbox"]:checked~.hamburger-lines .line3 {
        transform: rotate(-45deg);
    }


}

@media (max-width: 600px) {
    .topic {
        flex-direction: column;
        height: 55rem;
        margin: 2rem 2rem;
    }

    .topic-description {
        padding: .8rem 0;
    }

    .winners-container {
        flex-direction: column;
        align-items: center;
    }

    .winner {
        justify-content: center;
        align-items: center;
        margin-top: 2rem;
    }
}

@media (max-width: 450px) {
    .showcase-container .techno-head {
        font-size: 2rem;
    }

    .showcase-container .dated {
        font-size: 1.8rem;

    }
}




/* SECOND PAGE  */
/* ############### registration form #############  */

#registration {
    display: flex;
    flex-direction: column;
    align-items: center;
    background: url(../images/register-img-3.jpg);
    height: 100vh;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.registration-container {
    display: flex;
    height: 70%;
    justify-content: center;
    align-items: center;
}

.registration-heading {
    font-size: 5rem;
    color: rgb(255, 102, 0);
    text-align: center;
    margin-top: 8rem;
    font-weight: 600;
}

.person {
    margin: 0 7rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 3rem;
    margin-top: 5rem;
}

.person input[type="radio"] {
    height: 4rem;
    width: 4rem;
    border-radius: 2.5rem;
    margin-top: 2.5rem;
}

.person-face i {
    font-size: 20rem;
    color: rgb(255, 102, 0);
}

#registration button {
    margin-bottom: 10rem;
    padding: 1.5rem 2.5rem;
    font-size: 1.6rem;
}

/* ########## registration media quaries #########  */
@media (max-width: 1312px) {
    .person-face i {
        font-size: 16rem;
    }
}

@media (max-width: 1160px) {
    .person-face i {
        font-size: 7rem;
    }

    .registration-container {
        flex-direction: column;
    }

    .registration-heading {
        font-size: 3rem;
        margin-top: 5rem;
    }

    .person {
        margin-bottom: 0;
        margin-top: 3rem;
    }

    #registration button {
        margin-bottom: 2rem;
    }
}

.technoLogo {
    width: 10vmax;
}

@media (max-width: 550px) {
    #registration button {
        margin-bottom: 1rem;
    }

    .person input[type="radio"] {
        height: 3rem;
        width: 3rem;
        border-radius: 2.5rem;
        margin-top: 3rem;
    }
}


@media (max-width:625px) {
    .onclickbutton {
        font-size: 1.4rem;
    }

    .members-container {
        flex-direction: column;
        height: 120rem;
        align-items: center;
        justify-content: center;
    }

    .emembers-container {
        flex-direction: column;
        height: 90rem;
        align-items: center;
        justify-content: center;
    }

    .member-container {
        height: 250px;
        width: 250px;
        overflow: hidden;
        margin: 0 auto;
        border-radius: 50%;
        transition: all 0.3s ease-in-out;
        box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
        background-image: linear-gradient(109.6deg, rgba(216, 23, 100, 1) 27.3%, rgba(63, 48, 48, 1) 100.2%);
        margin: 2rem 0;

    }

    .emember-container {
        height: 250px;
        width: 250px;
        overflow: hidden;
        margin: 0 auto;
        border-radius: 50%;
        transition: all 0.3s ease-in-out;
        box-shadow: 0px 1px 5px 0px rgba(0, 0, 0, 0.3);
        margin: 2rem 0;

    }


    .member-container:hover {
        height: 700px;

    }

    /* 
    .member-container:hover .members-container {
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }
    .member-container:hover .wrapper {
       padding-bottom: 1rem;
    } */
}


/* END  */